Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class CalculatedMember

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.CalculatedMember

Direct Known Subclasses:
  PermanentCalculatedMember, SessionCalculatedMember

public abstract class CalculatedMember
extends BaseObject

An abstract class specifying a dimension member that results from a calculation. For a diagram of the class associations of `CalculatedMember`, see CalculatedMember Associations.

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`CalculatedMember(BaseObject input)` Creates a `CalculatedMember` for the specified `Dimension`.

Method Summary
`java.lang.String` | `Alter(AWConnection connection)` Alters the class attributes of the `CalculatedMember` in the current analytic workspace of the specified database connection.
`java.lang.String` | `Delete(AWConnection connection)` Deletes the `CalculatedMember` in the current analytic workspace of the specified database connection.
`java.lang.String` | `getExpressionText()` Returns the OLAP DML expression that generates the `CalculatedMember`.
`void` | `setExpressionText(java.lang.String input)` Sets the OLAP DML expression that generates the `CalculatedMember`.
`java.lang.String` | `WriteToXML()` Gets an XML representation of the `CalculatedMember`.

Methods inherited from class oracle.AWXML.BaseObject
`Create, CreateAfter, CreateBefore, CreateFirst, DataRead, getColumnName, getId, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalculatedMember

    public CalculatedMember(BaseObject input)

  Creates a `CalculatedMember` for the specified `Dimension`.
  Parameters:
    `input` - The `Dimension` that owns the new `CalculatedMember`.

Method Detail

### WriteToXML

    public java.lang.String WriteToXML()

  Gets an XML representation of the `CalculatedMember`.
  Overrides:
    WriteToXML in class BaseObject
  Returns:
    An XML `String` that represents the `CalculatedMember`.

### getExpressionText

    public java.lang.String getExpressionText()

  Returns the OLAP DML expression that generates the `CalculatedMember`.
  Returns:
    A `String` of OLAP DML commands.

### setExpressionText

    public void setExpressionText(java.lang.String input)

  Sets the OLAP DML expression that generates the `CalculatedMember`.
  Parameters:
    `input` - A `String` of OLAP DML commands.

### Delete

    public java.lang.String Delete(AWConnection connection)

  Deletes the `CalculatedMember` in the current analytic workspace of the specified database connection.
  Overrides:
    Delete in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the connection.
  Returns:
    If successful, a `String` that contains `success`.

### Alter

    public java.lang.String Alter(AWConnection connection)

  Alters the class attributes of the `CalculatedMember` in the current analytic workspace of the specified database connection.

  You can use the `Alter` method to change the descriptive names associated with the `CalculatedMember`. For example, you can change the long and short descriptions and the plural name.

  Overrides:
    Alter in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the connection.
  Returns:
    If successful, a `String` that contains `success`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.